Update campaign
Partially updates a campaign using JSON Merge Patch.
Authorization
bearerAuth AuthorizationBearer <token>
API key (sk_...) as Bearer token
In: header
Path Parameters
workspaceId*string
sequenceId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string
accounts?|null
contactOwnerSettings?|null
contactCreationTrigger?|null
contactDefaults?|null
contactUpdatesOnReply?|null
messages?array<|||>
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/workspaces/string/outreach/sequences/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "updatedAt": "2019-08-24T14:15:22Z", "estimatedLastMessageAt": null, "schedulingStatusReason": "outside_planning_window", "workspaceId": "string", "listId": "string", "name": "string", "status": "draft", "accounts": { "mode": "all", "selected": [ "string" ], "conversationStrategy": "prefer-existing-dialog" }, "contactOwnerSettings": { "ownerIds": [ "string" ] }, "contactCreationTrigger": "on-reply", "contactDefaults": { "property1": "string", "property2": "string" }, "contactUpdatesOnReply": { "property1": "string", "property2": "string" }, "messages": [ { "id": "string", "delay": { "period": "minutes", "value": 0 }, "text": "string", "type": "text" } ], "duplicationResolutionNeeded": true, "totalLeads": 0, "completedLeadsCount": 0, "id": "string" }}Create campaign POST
Creates an outreach campaign for an existing list and triggers list processing. A list must be created first using the lists endpoints. See [Creating and Starting a Campaign](/docs/api/campaigns#creating-and-starting-a-campaign) for the complete flow.
Update campaign status POST
Starts or pauses a campaign.